Subject: git config --global not picking up includes

From: Jim Garrison <[email-masked]>
Date: Mon, 19 Jan 2015 11:37:10 -0800

I have found that `git config --global` does not pick up any include 
directives in the git config file.

For instance, my ~/.gitconfig contains the following:

     [include]
         path = /home/garrison/gitconfig-include

And ~/gitconfig-include in turn contains

     [user]
         name = Jim Garrison

However, when I pass the --global flag to git config, my name is not 
picked up:

     $ git config --global user.name
     $ git config user.name
     Jim Garrison

If I instead replace .gitconfig with the contents of gitconfig-include 
(and in turn remove the include step), everything works as expected.

     $ git config --global user.name
     Jim Garrison
     $ git config user.name
     Jim Garrison

I am using the latest git master, built on Debian jessie.